#include "StdAfx.h"
#include "AssimpExt.h"


namespace ae
{


void ConvertVec(lm::vec3f& dst, const aiVector3D& src)
{
	dst.x = src.x;
	dst.y = src.y;
	dst.z = src.z;
}

void ConvertQuat(lm::quat4f& dst, const aiQuaternion& src)
{
	dst.x = src.x;
	dst.y = src.y;
	dst.z = src.z;
	dst.w = src.w;
}

void ConvertMat(lm::matrix4f& lm, const aiMatrix4x4& am)
{
	lm(0, 0) = am.a1;
	lm(0, 1) = am.a2;
	lm(0, 2) = am.a3;
	lm(0, 3) = am.a4;
	lm(1, 0) = am.b1;
	lm(1, 1) = am.b2;
	lm(1, 2) = am.b3;
	lm(1, 3) = am.b4;
	lm(2, 0) = am.c1;
	lm(2, 1) = am.c2;
	lm(2, 2) = am.c3;
	lm(2, 3) = am.c4;
	lm(3, 0) = am.d1;
	lm(3, 1) = am.d2;
	lm(3, 2) = am.d3;
	lm(3, 3) = am.d4;
	lm.transpose();
}


}
